#pragma once

#include "GobiApiService.h"

class CFuncList;

class CGobiApiCat : public CGobiApiService
{
public:
	CGobiApiCat(HMODULE hQCDll);
	~CGobiApiCat(void);

	BOOL GetAvailFuncList(CFuncList* pFuncList);
	UINT ExecuteFunctions(CFuncList* pFuncList, UINT &nTotalExec);

protected:
	static const TableFuncEntry m_TableFunc[];

	static BOOL FuncCATSendTerminalResponse(CParamList* pParams = NULL);
	static BOOL FuncCATSendEnvelopeCommand(CParamList* pParams = NULL);
	static BOOL FuncSetCATEventCallback(CParamList* pParams /*= NULL*/);

	static CParamList CGobiApiCat::m_sCATSendTerminalResponse;
	static CParamList CGobiApiCat::m_sCATSendEnvelopeCommand;
	static CParamList CGobiApiCat::m_sCATEventCallback;
	
};
